project-navigation
Personal tools

Author Topic: I just want to play a game .....  (Read 12617 times)

Antony

  • Guest
I just want to play a game .....
« on: September 05, 2010, 06:32:19 pm »
I have Ubuntu linux 10.04. I use ubuntu because im a linux noob and I can get 99.9% of what i want done without having to type long console commands.
I played ufo on windows, i downloaded it and it ran.
I played ufo on mac, i downloaded it and it ran. (alas a bit buggy but hey it sorta worked)
I attempted to play on ubuntu and now im giving up.

I tried the sourceforge deb link but it seems to for amd64 chips. I get wrong architure error when i try and use it.  Cant see intel 32/64 versions.
I looked at your wiki and it talked about getting 'git' I did manage to install git from the app list in ubuntu. But then it goes on to downloading source and using git login and applying my own patches and lots of wonderful things that really dont have the time to learn. Im not likely contribute to the source as im not programmer by trade or hobby and the skills are not within my grasp.

Let me start again. Hi im a noob and id like to know if you can download and play a ready go version of the this game ufo 2.3 for a ubuntu 10.04 intel 32bit laptop. If so Id like to download and play the game via simply clicking on one of those old school mundane things know as a link. Maybe a il stretch to a download link and a few quick cli commands. If not il go play something easier to install.

Sorry for whinning but im lost.   :'(
 

Offline Legendman3

  • Sergeant
  • *****
  • Posts: 306
    • View Profile
Re: I just want to play a game .....
« Reply #1 on: September 06, 2010, 11:14:52 pm »
download the i386 version(I think thats the name) Most of the time when you have a 64bit system for windows you might get the 32bit linux from a delivery screw up(unless you downloaded the cd then Im no help)

Offline jesper

  • Cannon Fodder
  • **
  • Posts: 9
    • View Profile
Re: I just want to play a game .....
« Reply #2 on: September 07, 2010, 11:38:07 am »
@Legendman3:
There is no 32 bit or i386 version available for Linux for some reason.
I complained about this in an earlier post: http://ufoai.ninex.info/forum/index.php?topic=5208.0

@Antony:
There is no easy way to get 2.3 for Linux. Unless you buy a 64bit AMD.
It does not seem to bother anyone who can make and upload a new build, so nothing happens. I think it's a shame because it excludes many players.
« Last Edit: September 07, 2010, 12:45:00 pm by jesper »

Offline DarkRain

  • Project Coder
  • Captain
  • ***
  • Posts: 747
    • View Profile
Re: I just want to play a game .....
« Reply #3 on: September 07, 2010, 07:21:50 pm »
Let me start again. Hi im a noob and id like to know if you can download and play a ready go version of the this game ufo 2.3 for a ubuntu 10.04 intel 32bit laptop. If so Id like to download and play the game via simply clicking on one of those old school mundane things know as a link. Maybe a il stretch to a download link and a few quick cli commands. If not il go play something easier to install.

I fear that will not happen very soon

I think the easiest way would be downloading the source from sourceforge (and the data, lang, and map packs) and compiling it (if you download the packs from sourecforge you can skip the sections about getting the code and compiling maps) not the easiest task out there, but it really isn't that difficult
And if you will be using Linux, compiling things is a really useful ability to have, so you might want to learn it

Offline Bartleby

  • Squad Leader
  • ****
  • Posts: 102
    • View Profile
Re: I just want to play a game .....
« Reply #4 on: September 07, 2010, 07:52:11 pm »
And if you will be using Linux, compiling things is a really useful ability to have, so you might want to learn it
thats right. but in times of ubuntu there are not only linuxfreaks using that os.
well. everything free here, but i would also like a downloadable (and stable) version. maybe when the last licence-unknown-textures are new ufo ai will be better supported :).

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: I just want to play a game .....
« Reply #5 on: September 07, 2010, 08:04:21 pm »
maybe when the last licence-unknown-textures are new ufo ai will be better supported :).

that would be the goal ;)

Offline DarkRain

  • Project Coder
  • Captain
  • ***
  • Posts: 747
    • View Profile
Re: I just want to play a game .....
« Reply #6 on: September 08, 2010, 07:24:18 pm »
thats right. but in times of ubuntu there are not only linuxfreaks using that os.
well. everything free here, but i would also like a downloadable (and stable) version. maybe when the last licence-unknown-textures are new ufo ai will be better supported :).

Hmmm . . .
Seems I didn't sound as optimistic as I hoped (you know, things are not optimal but, hey, you can learn something new in the process)

Offline Cyber Killer

  • Rookie
  • ***
  • Posts: 18
    • View Profile
Re: I just want to play a game .....
« Reply #7 on: September 14, 2010, 02:28:24 pm »
amd64 builds aren't limited to only AMD processors. amd64 architecture is currently the most popular among new machines (Intel uses it also). All you need is ubuntu 64bit.

But there's a catch - the SDL Mixer in Ubuntu is too old for UFO AI 2.3 (the UFO debs from sourceforge won't work), so either you wait for the next Ubuntu version, or compile this yourself, or download 2.1 or whatever previus version there is.

On a side note, probably the easiest way to get UFO (and many other games) is from playdeb.net (they have a repository).

Offline Cyber Killer

  • Rookie
  • ***
  • Posts: 18
    • View Profile
Re: I just want to play a game .....
« Reply #8 on: September 26, 2010, 08:16:56 am »
Playdeb just put ufoai 2.3 in their repository. No newer sdlmixer though ;-P. I'm going to test if this runs on monday.

Offline Cyber Killer

  • Rookie
  • ***
  • Posts: 18
    • View Profile
Re: I just want to play a game .....
« Reply #9 on: September 28, 2010, 07:11:34 am »
Well... apart from a file conflict between ufoai and ufoai-server (they both seem to have the same manpage) and awful sound stuttering in the game (though this can be caused by my crappy laptop soundcard) UFO:AI 2.3 from playdeb seems to run a-o-k ;-). This should help all the ubuntu users that just want to play a game without compiling ;-).
« Last Edit: October 01, 2010, 11:11:17 am by Cyber Killer »

Offline bayo

  • Professional loser
  • Project Coder
  • Captain
  • ***
  • Posts: 733
    • View Profile
Re: I just want to play a game .....
« Reply #10 on: September 28, 2010, 10:43:51 am »
I add playdeb on the download page

Offline TroubleMaker

  • Squad Leader
  • ****
  • Posts: 114
    • View Profile
Re: I just want to play a game .....
« Reply #11 on: September 28, 2010, 01:12:09 pm »
Hello!

May be wrong topic, but...

Downloaded 2.3.1 from playdeb. Installation went just fine. Game ran with music w/o problems.
Copied the saves from 2.3.0/win32.
The saves loaded perfectly also.
But! Any crashed UFO or terror site offers me all three choices (sorry for back-translation from Russian): "landing", "auto" and "cancel". Even if crash occurs near my base. And any attempt to land returns me to geoscape instead of loading proper map and starting tactical mission. Auto-battles always won, but they give no loot :-)

Saving and re-loading, restarting game, rebooting PC gave no results.
Copied the linux-made saves back to windows, loaded them in 2.3.0/win and continued normal game with tacticals.

What is this? Playdeb's compilation fault?

Also, could not defeat extremely low framerate: <5 on geoscape. In "text" windows (bases, email, stats) f/r is normal: 20+
Video settings were set exactly after windows' version ones.

env: Lucid/32 (latest updates on 14:00GMT 27.09.10), GNOME, m/b iD865PERL, Celeron 2.4GHz, v/c Nvidia GeForce 6200/AGP, w/m Compiz (no Emerald themes)
« Last Edit: September 28, 2010, 01:14:39 pm by TroubleMaker »

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: I just want to play a game .....
« Reply #12 on: September 29, 2010, 01:59:27 pm »
i don't think you have downloaded 2.3.1 ;) - but 2.3

the low fps is related to your language settings - this was a bug that is going to get fixed with 2.3.1

Offline romanovzky

  • Rookie
  • ***
  • Posts: 23
    • View Profile
Re: I just want to play a game .....
« Reply #13 on: September 30, 2010, 09:58:38 am »
Same problem here concerning the maps. The playdeb build doesn't enter some crashed UFO missions.

I've reported this to them but after a quick email from them I hadn't received much feedback...

Offline bayo

  • Professional loser
  • Project Coder
  • Captain
  • ***
  • Posts: 733
    • View Profile
Re: I just want to play a game .....
« Reply #14 on: September 30, 2010, 12:16:57 pm »
U really should me more explicite. Which maps? Any console logs?...